Subject: Retrieving the lockdiscovery property from a non locked resource

From: Hartmut Warncke <[email-masked]>
Date: Thu, 15 Mar 2001 11:12:57 +0100

Hi all,

if '/a.html' is a resource which is  *not*  locked and the client sends
a ...

<D:propfind xmlns:D="DAV:">
     <D:prop>
         <D:lockdiscovery/>
     </D:prop>
</D:propfind>

... on that resource, the mod_dav server responds witth a:

 <?xml version="1.0" ...>
    <D:multistatus xmlns:D="DAV:">
        <D:response>
            <D:href>
                /a.html
            </D:href>
            <D:propstat>
                <D:prop>
                    <D:lockdiscovery/>
                </D:prop>
                <D:status>
                    HTTP/1.1 200 OK
                 </D:status>
                ...
So, mod_dav sends an empty lockdiscovery element.

IIS responds with:
...
<a:response>
    <a:href>
        /a.html
    </a:href>
    <a:propstat>
        <a:status>
            HTTP/1.1 200 OK
        </a:status>
        <a:prop/>
    </a:propstat>
</a:response>
...

So, IIS sends no lockdiscovery property at all.

In RFC2518; section 8.1 I found the following sentence:

"A request to retrieve the value of a property which does not exist is
an error and MUST be noted, if the response uses a multistatus XML
element, with a response XML element which contains a 404 (Not Found)
status value."

Does this sentence applies only to user-defined properties and not to
DAV build-in properties like the lockdiscovery property?

What is the correct server behaviour?

Best, Hartmut

---

From: John Stracke <[email-masked]>
Date: Thu, 15 Mar 2001 09:02:40 -0500

> element, with a response XML element which contains a 404 (Not Found)

It looks like the server implementors decided that lockdiscovery exists on
all class 2 DAV resources.  Otherwise, you wouldn't be able to tell the
difference between "resource has no locks" and "resource does not exist".
I don't see anything in 2518 to specify it, though.

--
/================================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.  |
|Chief Scientist |===============================================|
|eCal Corp.      |You know that logic puzzle with the fox, the   |
[email-masked]|goose and the grain? What kind of farmer owns a|
|                |*fox*?                                         |
\================================================================/